<!DOCTYPE html>
<!--[if IE 8]>
<html <?php language_attributes(); ?> class="ie8"> <![endif]-->
<!--[if !IE]><!-->
<html <?php language_attributes(); ?>> <!--<![endif]-->

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>
    <meta name="description" content="<?php bloginfo('description'); ?>">

    <!-- Mobile Specific Meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
<header <?php if (!is_home()) : ?> class="custom-header" <?php endif; ?>>
    <div class="top-nav">
        <div class="container">
            <div class="row">
                <div class="col-md-6 d-md-flex  ">
                    <ul class="social list-inline ">
                        <?php if (get_field('facebook', 'options')) : ?>
                            <li class="list-inline-item"><a href="<?php the_field('facebook', 'options') ?>"><i
                                            class="fa fa-facebook"></i></a></li>
                        <?php endif; ?>
                        <?php if (get_field('twitter', 'options')) : ?>
                            <li class="list-inline-item"><a href="<?php the_field('twitter', 'options') ?>"><i
                                            class="fa fa-twitter"></i></a></li>
                        <?php endif; ?>
                        <?php if (get_field('youtube', 'options')) : ?>
                            <li class="list-inline-item"><a href="<?php the_field('youtube', 'options') ?>"><i
                                            class="fa fa-youtube"></i></a></li>
                        <?php endif; ?>
                        <?php if (get_field('instagram', 'options')) : ?>
                            <li class="list-inline-item"><a href="<?php the_field('instagram', 'options') ?>"><i
                                            class="fa fa-instagram"></i></a></li>
                        <?php endif; ?>
                    </ul>
                </div>
                <div class="col-md-6 d-md-flex">
                    <form method="get" action="<?php echo home_url(); ?>" class="form-inline ml-auto top-search">
                        <input class="form-control " name="s" id="s" type="search" placeholder="Search here .."
                               aria-label="Search">
                        <button class="btn" type="submit"><i class="fa fa-search"></i></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="menu-logo">
        <div class="container">
            <div class="menu-wrapper">
                <div class="row">
                    <div class="col-md-3 col-sm-3">
                        <div class="logo">
                            <a href="<?php echo home_url() ?>"><img data-src="<?php the_field('logo', 'options') ?>"
                                                                    alt="<?php bloginfo('name') ?>"
                                                                    class="img-fluid lazy"></a>
                        </div>
                    </div>
                    <div class="col-md-9 col-sm-9 align-self-center">
                        <?php $topAd = get_field('top_header', 'options');
                        if ($topAd) : echo  $topAd; endif;?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <nav class="navbar navbar-expand-lg navbar-light ">
        <div class="container">
            <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <?php
            wp_nav_menu(array(
                'theme_location' => 'main',
                'depth' => 2,
                'container' => 'div',
                'container_class' => 'collapse navbar-collapse',
                'container_id' => 'navbarSupportedContent',
                'menu_class' => 'nav navbar-nav',
                'fallback_cb' => 'WP_Bootstrap_Navwalker::fallback',
                'walker' => new WP_Bootstrap_Navwalker(),
            ));
            ?>
        </div>
    </nav>

</header>
<div id="loader">

    <div class="lds-roller">
        <div></div>
        <div></div>
        <div></div>
        <div></div>
        <div></div>
        <div></div>
        <div></div>
        <div></div>
    </div>
</div>

