<?php get_header();
wp_reset_query(); ?>

<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
    <div class="container">
        <?php
        if (function_exists('yoast_breadcrumb')) {
            yoast_breadcrumb('
<p id="breadcrumbs">', '</p>
');
        }
        ?>
    </div>
</div>
<div class="container">


    <div class="row">
        <div class="col-md-8">

            <div class="news-sections cat-sec">
                <div class="box-section ">
                    <?php $vidURL = get_field('youtube-url') ?>
                    <?php if (!$vidURL) : ?>
                        <div class="news-boxed-img d-none d-md-block">
                            <div id="post-meta">
                                <div id="meta-content">
                                    <h2><strong><?php the_title(); ?></strong></h2>
                                    <span><i class="fa fa-calendar"></i> <?php echo get_the_date($post->id); ?></span>
                                    <span><i class="fa fa-clock-o"></i>
                    <?php echo get_the_time($post->id); ?></span>

                                    <?php if (is_user_logged_in() && is_super_admin()) : ?>
                                        <span><a
                                                    href="<?php echo get_edit_post_link(); ?>"><b><?php _e('Edit', 'alpha'); ?></b></a></span>
                                    <?php endif; ?>
                                </div>
                            </div>

                            <?php
                            $thumb = get_the_post_thumbnail_url($post->id, 'medium_large');
                            if ($thumb): ?>
                                <img data-src="<?php echo $thumb; ?>" alt="<?php the_title() ?>"
                                     class="img-fluid lazy ">
                            <?php else   : ?>

                                <img data-src="<?php echo IMAGES; ?>/no-img.jpg" alt="<?php the_title() ?>"
                                     class="img-fluid lazy ">
                            <?php endif; ?>

                        </div>
                    <?php endif; ?>

                    <div id="page-content">
                        <?php
                        if ($vidURL) :
                            $string = $vidURL;
                            $search = '#(.*?)(?:href="https?://)?(?:www\.)?(?:youtu\.be/|youtube\.com(?:/embed/|/v/|/watch?.*?v=))([\w\-]{10,12}).*#x';
                            $replace = 'http://www.youtube.com/embed/$2';
                            $url = preg_replace($search, $replace, $string);; ?>
                            <iframe width="100%" height="400" data-src="<?php echo $url; ?>" frameborder="0"
                                    allowfullscreen class="lazy"></iframe>
                        <?php endif; ?>
                        <div class="the_title">
                            <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
                        </div>
                        <div class="the_cats">
                            <?php the_category(); ?>
                        </div>
                        <div class="post-ad">
                            <?php the_field('post_start_ads', 'options') ?>
                        </div>
                        <?php the_content(); ?>
                        <div class="post-ad">
                            <?php the_field('post_end_ads', 'options') ?>
                        </div>
                        <?php

                        $images = get_field('gallery');

                        if ($images): ?>
                            <h3 class="gallery-title"><?php _e('Gallery Album :', 'alpha'); ?></h3>
                            <ul class="list-inline d-flex justify-content-md-center" id="list-imgs">
                                <?php foreach ($images as $image): ?>
                                    <li class="list-inline-item">
                                        <a href="<?php echo $image['url']; ?>" class="gallery-item">
                                            <img data-src="<?php echo $image['sizes']['thumbnail']; ?>"
                                                 class="img-fluid lazy"
                                                 alt="<?php echo $image['alt']; ?>"/>
                                        </a>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                        <br>
                        <div class="tags">
                            <p><?php the_tags(); ?></p>
                        </div>
                        <br>


                    </div>

                </div>
            </div>
            <div class="related-posts ">
                <h3 class="related-posts-title">See also</h3>
                <ul class="list-inline d-md-flex  justify-content-between">
                    <?php $related = new WP_Query(array(
                        'post_type' => get_post_type(get_the_ID()),
                        'posts_per_page' => 4,
                        'post__not_in' => array($post->ID)
                    )); ?>
                    <?php while ($related->have_posts())  : $related->the_post(); ?>
                        <li class="single-related-post">

                            <a href="<?php the_permalink(); ?>">
                                <?php $thumb = get_the_post_thumbnail_url($post->id, 'thumbnail');
                                if ($thumb) :?>
                                    <img data-src="<?php echo $thumb; ?>" alt="<?php the_title() ?>"
                                         class="img-fluid lazy">
                                <?php else : ?>
                                    <img data-src="<?php echo IMAGES; ?>/no-img.jpg" alt="<?php the_title() ?>"
                                         class="img-fluid lazy">

                                <?php endif; ?>
                                <h2><?php the_title(); ?></h2>
                            </a>

                        </li>
                    <?php endwhile;
                    wp_reset_query(); ?>
                </ul>

            </div>


        </div>
        <div class="col-md-4 hidden-xs hidden-sm">
            <div class="sidebar-cat">
                <section class="news-sections">
                    <div class="box-section">
                        <?php get_sidebar('sidebar'); ?>

                    </div>


                </section>


            </div>
        </div>
    </div>

</div>

<br><br><br><br><br>


<?php get_footer(); ?>


